org.apache.poi.xssf.usermodel

## Class XSSFEvenHeader

- java.lang.Object
- - org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter
  - - org.apache.poi.xssf.usermodel.XSSFEvenHeader

- All Implemented Interfaces:
    Header, HeaderFooter

      public class XSSFEvenHeader
      extends XSSFHeaderFooter
      implements Header

  Even page header value. Corresponds to even printed pages. Even page(s) in the sheet may not be printed, for example, if the print area is specified to be a range such that it falls outside an even page's scope. If no even header is specified, then odd header value is assumed for even page headers.

  The even header is activated by the "Different Even/Odd" Header/Footer property for the sheet. If this property is not set, the even header is ignored, and the odd footer is used instead.

  Creating an even header or footer sets this property by default, so all you need to do to get an even header or footer to display is to create it. Likewise, if both the even header and footer are usnset, then this property is unset, and the odd header and footer are used for even pages.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFEvenHeader(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)` Create an instance of XSSFEvenHeader from the supplied XML bean.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` Get the content text representing this header
    `void` | `setText(java.lang.String text)` Set a text for the header.

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter

      `areFieldsStripped, getCenter, getHeaderFooter, getLeft, getRight, getValue, setAreFieldsStripped, setCenter, setLeft, setRight, stripFields`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.Header

      `getCenter, getLeft, getRight, setCenter, setLeft, setRight`

- - ### Constructor Detail

    - #### XSSFEvenHeader

          protected XSSFEvenHeader(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)

      Create an instance of XSSFEvenHeader from the supplied XML bean. If an even header is created, The property "DifferentOddEven" is set for this sheet as well.
      Parameters:
        `headerFooter` -
      See Also:
        `XSSFSheet.getEvenHeader()`

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      Get the content text representing this header
      Specified by:
        `getText` in class `XSSFHeaderFooter`
      Returns:
        text

    - #### setText

          public void setText(java.lang.String text)

      Set a text for the header. If null, unset the value. If unsetting and there is no Even Footer for this sheet, the "DifferentEvenOdd" property for this sheet is unset.
      Specified by:
        `setText` in class `XSSFHeaderFooter`
      Parameters:
        `text` - - a string representing the header.
      See Also:
        `to see how to create a string with Header/Footer Formatting Syntax`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.